> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Matching Policies By Identifier Id (Beta)

export const name_0 = "List Matching Policies By Identifier Id"

<Note>
  The {name_0} endpoint is still in beta and is subject to change.
</Note>


## OpenAPI

````yaml get /firework/v4/matching_policies/by_identifier_id/{identifier_id}
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/matching_policies/by_identifier_id/{identifier_id}:
    get:
      tags:
        - public
        - team=data-engineering
      summary: List Matching Policies By Identifier Id
      operationId: >-
        list_matching_policies_by_identifier_id_matching_policies_by_identifier_id__identifier_id__get
      parameters:
        - name: identifier_id
          in: path
          required: true
          schema:
            type: integer
            title: Identifier Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MatchingPolicyAssignmentPayload'
                title: >-
                  Response List Matching Policies By Identifier Id Matching
                  Policies By Identifier Id  Identifier Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MatchingPolicyAssignmentPayload:
      properties:
        matching_policy:
          $ref: '#/components/schemas/MatchingPolicyPayload'
        assigned_at:
          type: string
          format: date-time
          title: Assigned At
          description: The date and time this policy was assigned to the identifier
        clean_past_events:
          type: boolean
          title: Clean Past Events
          description: Whether this policy has been applied to historical events
      type: object
      required:
        - matching_policy
        - assigned_at
        - clean_past_events
      title: MatchingPolicyAssignmentPayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MatchingPolicyPayload:
      properties:
        uuid:
          type: string
          format: uuid4
          title: Uuid
          description: The UUID of the matching policy
        name:
          type: string
          title: Name
          description: The name of the matching policy
        policy_type:
          $ref: '#/components/schemas/MatchingPolicyType'
          description: The type of the matching policy
        value:
          anyOf:
            - $ref: '#/components/schemas/KeywordsValue'
            - $ref: '#/components/schemas/LuceneValue'
            - $ref: '#/components/schemas/AstpCookiesValue'
          title: Value
          description: The value of the matching policy depending on its type
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time the matching policy was created
        last_updated_at:
          type: string
          format: date-time
          title: Last Updated At
          description: The date and time the matching policy was last updated
      type: object
      required:
        - uuid
        - name
        - policy_type
        - value
        - created_at
        - last_updated_at
      title: MatchingPolicyPayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MatchingPolicyType:
      type: string
      enum:
        - INCLUDED_KEYWORDS
        - EXCLUDED_KEYWORDS
        - LUCENE_QUERY
        - ASTP_COOKIES
      title: MatchingPolicyType
    KeywordsValue:
      properties:
        keywords:
          items:
            type: string
          type: array
          title: Keywords
      type: object
      required:
        - keywords
      title: KeywordsValue
    LuceneValue:
      properties:
        query:
          type: string
          title: Query
          description: The lucene query of the matching policy
      type: object
      required:
        - query
      title: LuceneValue
    AstpCookiesValue:
      properties:
        cookie_names:
          items:
            type: string
          type: array
          title: Cookie Names
        match_subdomains:
          type: boolean
          title: Match Subdomains
          default: false
      type: object
      required:
        - cookie_names
      title: AstpCookiesValue
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````